## net.sf.saxon.dom
Class DOMSender

    java.lang.Object
      |
      +--net.sf.saxon.dom.DOMSender

All Implemented Interfaces:
  LocationProvider, org.xml.sax.Locator, SaxonLocator, javax.xml.transform.SourceLocator

public class DOMSender
extends java.lang.Object
implements SaxonLocator

DOMSender.java: pseudo-SAX driver for a DOM source document. This class takes an existing DOM Document and walks around it in a depth-first traversal, calling a Receiver to process the nodes as it does so

Field Summary
`protected org.w3c.dom.Node` `root`
`protected java.lang.String` `systemId`

Constructor Summary
`DOMSender()`

Method Summary
`int` `getColumnNumber()`
`int` `getLineNumber()`
`int` `getLineNumber(int locationId)`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getSystemId(int locationId)`
`void` `send()` Walk a document (traversing the nodes depth first)
`void` `setNamePool(NamePool pool)` Set the namePool
`void` `setReceiver(Receiver receiver)` Set the receiver.
`void` `setStartNode(org.w3c.dom.Node start)` Set the DOM Document that will be walked
`void` `setSystemId(java.lang.String systemId)` Set the systemId of the source document (which will also be used for the destination)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected org.w3c.dom.Node root

### systemId

    protected java.lang.String systemId

Constructor Detail

### DOMSender

    public DOMSender()

Method Detail

### setReceiver

    public void setReceiver(Receiver receiver)

  Set the receiver.

  Parameters:
    `receiver` - The object to receive content events.

### setNamePool

    public void setNamePool(NamePool pool)

  Set the namePool

### setStartNode

    public void setStartNode(org.w3c.dom.Node start)

  Set the DOM Document that will be walked

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Set the systemId of the source document (which will also be used for the destination)

### send

    public void send()
              throws XPathException

  Walk a document (traversing the nodes depth first)

  Throws:
    `XPathException` - On any error in the document

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`